import os
import sys
import subprocess
from distutils.core import setup

setup_info = dict(
    name='xeiso',
    version='0.1.47',
    description='A user interface for the Xeiso distribution',
    author='Jacob Peddicord',
    author_email='jacob@xeiso.com',
    url='http://xeiso.com',
    license='GPL 3',
    packages=['xeiso', 'xeiso.menus', 'xeiso.gui', 'xeiso.package'],
    data_files=[('share/pixmaps', ['data/xeiso.png']),
                ('share/applications', ['data/xeiso.desktop', 'data/xeiso-install.desktop']),
                ('games', ['xeiso-ui', 'xeiso-launch']),
                ('share/mime/packages', ['data/xeiso.xml'])]
)

# grab the data files
for ddir in ('res', 'xpk'):
    try:
        ddirlist = os.walk(os.path.join('data', ddir))
    except:
        print 'unable to walk', ddir
        continue
    
    for root, dirs, files in ddirlist:
        dlist = []
        if files:
            for fname in files:
                dlist.append(os.path.join(root, fname))
            root = root.replace('data/', '', 1)
            setup_info['data_files'].append((os.path.join('share/xeiso', root), dlist))


setup(**setup_info)
