#
# Copyright (C) 2008 Jacob Peddicord <jacob@xeiso.com>
#
# This file is part of Xeiso.
#
# Xeiso is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Xeiso is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Xeiso.  If not, see <http://www.gnu.org/licenses/>.

#TODO: image convience loaders

import os
import sys
import threading
import urllib2

import pyglet.image


class URLImageThread(threading.Thread):
    """
    Download an image and load it as a Pyglet image.
    If previously downloaded, load the image from disk.
    """
    
    def __init__(self, url):
        self.exc = None
        self.url = url
        self.image = None
        self.fname = "/tmp/xeiso-logo-" + os.path.basename(url)
        self.local_exists = os.path.exists(self.fname)
        
        threading.Thread.__init__(self, name="Thread-PkgDownloadImage")
    
    def run(self):
        # only download if it doesn't exist
        if not self.local_exists:
            try:
                img = urllib2.urlopen(self.url)  
            except urllib2.HTTPError:
                self.exc = "%d: %s" % (sys.exc_info()[1].code, sys.exc_info()[1].msg)
                return
            except urllib2.URLError:
                self.exc = sys.exc_info()[1].reason[1]
                return
            
            wfile = open(self.fname, 'wb')
            data = img.read()
            wfile.write(data)
            img.close()
            wfile.close()
        
        self.image = pyglet.image.load(self.fname)


