#
# Copyright (C) 2008 Jacob Peddicord <jacob@xeiso.com>
#
# This file is part of Xeiso.
#
# Xeiso is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Xeiso is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Xeiso.  If not, see <http://www.gnu.org/licenses/>.

class Menu:
    """
    The base menu class for all application menus to derive from.
    """
    
    def __init__(self):
        """
        Menu initalization functions, such as generating sprites or text.
        """
        
    def draw(self):
        """
        Menu drawing.
        """
    
    def update(self, dt):
        """
        Logic, animation, etc.
        """
    
    def transition_done(self):
        """
        Triggered when the slider is done animating between menus.
        """
        
    def key_down(self, key):
        """
        Key pressed.
        """
        
    def key_up(self, key):
        """
        Key released.
        """
    
    def key_motion(self, motion):
        """
        Key motion (left, up, right, down). Use for repeated actions when a key
        is held down.
        """
        
