#
# Copyright (C) 2008 Jacob Peddicord <jacob@xeiso.com>
#
# This file is part of Xeiso.
#
# Xeiso is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Xeiso is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Xeiso.  If not, see <http://www.gnu.org/licenses/>.

import os

import pyglet.resource


def load_resources():
    """
    Load resources (graphics)
    """

    for d in ('data/res', '/usr/share/xeiso/res'):
        if os.path.isdir(d):
            ad = os.path.abspath(d)
            pyglet.resource.path.append(ad)
            
            if __debug__:
                print "# Resource Directory:", ad

    # check to make sure resources were found
    if len(pyglet.resource.path) == 1:
        return False
        
    pyglet.resource.reindex()
    return True

def load_xpk_dirs():
    """
    Find possible XPK directories and add them to the load list.
    """
    
    xpk_dirs = []
    for d in ('data/xpk', '~/.xeiso/xpk', '/usr/share/xeiso/xpk'):
        d = os.path.expanduser(d)
        if os.path.isdir(d):
            ad = os.path.abspath(d)
            xpk_dirs.append(ad)
            
            if __debug__:
                print "# XPK Directory:", ad

    return xpk_dirs

